%define upstream_name    File-Temp
%define upstream_version 0.2304

%if %{_use_internal_dependency_generator}
%define __noautoreq 'perl\\(VMS::Stdio\\)'
%endif

Name:           perl-%{upstream_name}
Version:        %perl_convert_version %{upstream_version}
Release:        4

Summary:        Return name and handle of a temporary file safely


License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/%{upstream_name}
Source0:        http://www.cpan.org/modules/by-module/File/File-Temp-%{upstream_version}.tar.gz

BuildRequires:	perl-devel
BuildArch:      noarch

%description
File::Temp can be used to create and open temporary files in a safe way. There
is both a function interface and an object-oriented interface. The File::Temp
constructor or the tempfile() function can be used to return the name and the
open filehandle of a temporary file. The tempdir() function can be used to
create a temporary directory.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make CFLAGS="%{optflags}"

%install
%makeinstall_std

mv %{buildroot}%{_mandir}/man3/File::Temp.3pm \
    %{buildroot}%{_mandir}/man3/File::Temp-%{upstream_version}.3pm

%check
%__make test

%files 
%doc  README
%{perl_vendorlib}/File
%{_mandir}/*/*




%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 0.230.400-4
+ Revision: e624fee
- MassBuild#440: Increase release tag


